Ticket #3653 (closed enhancement: fixed)

Opened 8 years ago

Last modified 8 years ago

参加コミュニティ最新書き込み表示設定機能

Reported by: toraneko Assigned to: toraneko
Priority: minor Milestone: OpenPNE2.13.7
Component: 指定しない Version:
Keywords: Cc:

Description (Last modified by kiwa)

■概要

コミュニティ単位で、新着トピックをユーザホームの最新書き込み欄に 表示するかどうかを設定できるようにする

■仕様

  • PCホームのコミュニティリスト欄に、「コミュニティ管理」のリンクを追加
  • 携帯の参加コミュニティページに、「コミュニティ管理」のリンクを追加
  • BIZホームのコミュニティリスト欄に、「コミュニティ管理」のリンクを追加
  • PC/携帯ともに、コミュニティ管理画面を新設
  • [webapp/lib/db/commu.php]
  • [db_commu_c_commu_topic_comment_list4c_member_id]に第3パラメタ追加
          第3パラメタ : 指定可能値 = true / false
                        省略時 = true
          true が指定された場合、[is_display_topic_home=1] をAND条件でWHEREに追加し検索。
          「表示」となっているコミュニティのみを対象とする。
          false 以外が指定された場合、指定なしとして従来どおりの処理とする
    

r10858で一旦コミット。

■DB修正

コミュニティメンバー参加状況テーブル[c_commu_member]に、以下のフィールドを追加する
    is_display_topic_home = 1 : ホームに新着を表示する
                            0 : ホームには新着を表示しない

デフォルト      ・・・ 1:表示
新規インストール時    ・・・ 1:表示
新規コミュニティ作成時・・・ 1:表示
従来からのアップグレード・・ 1:表示

SQL文
// upgrade
ALTER TABLE c_commu_member ADD COLUMN is_display_topic_home tinyint(1) NOT NULL DEFAULT 1;
CREATE INDEX c_member_id_is_display_topic_home ON c_commu_member (c_member_id, is_display_topic_home);
UPDATE c_commu_member SET is_display_topic_home = 1;

■関連情報

マイホームのSQLが修正になるため、現在Explainで問題が無いかどうか検証中。

Attachments

pc_1.jpg (81.5 kB) - added by toraneko on 02/25/09 10:31:25.
pc_2.jpg (109.6 kB) - added by toraneko on 02/25/09 10:31:45.
ktai_1.jpg (79.9 kB) - added by toraneko on 02/25/09 10:31:58.
ktai_2.jpg (97.3 kB) - added by toraneko on 02/25/09 10:32:15.

Change History

02/25/09 10:25:58 changed by toraneko

  • description changed.

02/25/09 10:31:25 changed by toraneko

  • attachment pc_1.jpg added.

02/25/09 10:31:45 changed by toraneko

  • attachment pc_2.jpg added.

02/25/09 10:31:58 changed by toraneko

  • attachment ktai_1.jpg added.

02/25/09 10:32:15 changed by toraneko

  • attachment ktai_2.jpg added.

02/25/09 14:04:34 changed by kiwa

  • milestone set to OpenPNE2.13.7.

ありがとうございます!3月リリース予定の2.13.7に取り込みます。

03/04/09 17:37:07 changed by kiwa

  • keywords set to 確認中.
  • owner changed from nobody to kiwa.
  • status changed from new to assigned.

以下のリビジョンで対応しました。

03/12/09 16:29:37 changed by kiwa

r11006 にてupdate sqlの連番を変更しました。

04/09/09 20:52:26 changed by shingo

  • keywords changed from 確認中 to 差し戻し.
  • update sql:MySQLではDEFAULT値を指定していれば「update」で値をセットする必要はありません
  • 以下のファイル名は、「~_com」より「~_commu」の方がいいと思います(使用可所が圧倒的に多い)
    • pc_page_h_manage_com
    • ktai_page_h_manage_com
  • 変数名を「commu」で統一してください
    webapp/modules/ktai/templates/h_manage_com.tpl
    
    7 ({if !$c_com_list})
    
  • webapp/lib/db/commu.php:3546 に不要な空行があります
  • 第3引数の「'pc'」の意味が分りません
    webapp_biz/modules/pc/page/h_home.php
    
     93         $this->set('c_commu_topic_comment_list', db_commu_c_commu_topic_comment_list4c_member_id($u, 5, 'pc'));
    

04/10/09 13:11:41 changed by nagasawa

  • owner changed from kiwa to nagasawa.
  • status changed from assigned to new.

やります

04/10/09 14:06:16 changed by nagasawa

  • keywords changed from 差し戻し to 確認中.

r11264 で修正しました。

(follow-up: ↓ 12 ) 04/13/09 14:51:01 changed by shingo

  • keywords changed from 確認中 to 差し戻し.
  • ポスグレの「update」も削除されています
  • comment:5 の2項 の修正が完全ではありません

(follow-up: ↓ 10 ) 04/13/09 15:00:53 changed by shingo

  • (提案)「コミュニティ書き込みをPC(携帯)メールで受け取る/受け取らない」設定もできたほうがいいのではないでしょうか?

(in reply to: ↑ 9 ) 04/13/09 16:39:09 changed by shingo

Replying to shingo:

* (提案)「コミュニティ書き込みをPC(携帯)メールで受け取る/受け取らない」設定もできたほうがいいのではないでしょうか?

  • 上記の件、 #3810 にて対応することになりました

04/13/09 17:22:10 changed by nagasawa

  • keywords changed from 差し戻し to 確認中.

r11273 で修正しました。

(in reply to: ↑ 8 ) 04/13/09 17:28:42 changed by shingo

  • keywords changed from 確認中 to 差し戻し.

page名が完全に修正されていません。

04/13/09 17:58:26 changed by nagasawa

  • keywords changed from 差し戻し to 確認中.

r11276,r11277 で修正しました。

04/13/09 18:53:23 changed by shingo

  • keywords changed from 確認中 to 差し戻し.

page名が完全に修正されていません。

04/13/09 19:03:58 changed by nagasawa

  • keywords changed from 差し戻し to 確認中.

r11282 で修正しました。

04/13/09 19:33:15 changed by nagasawa

  • keywords changed from 確認中 to 差し戻し.

下記のファイルが上がっていない

  • webapp/modules/pc/do/h_commu_update_is_display_topic_home.php
  • webapp/modules/pc/validate/do/h_commu_update_is_display_topic_home.ini
  • webapp/modules/ktai/do/h_commu_update_is_display_topic_home.php
  • webapp/modules/ktai/validate/do/h_commu_update_is_display_topic_home.ini

04/13/09 19:35:15 changed by nagasawa

  • keywords changed from 差し戻し to 確認中.

r11285 で追加しました。

04/14/09 10:23:40 changed by shingo

  • keywords changed from 確認中 to 差し戻し.

04/14/09 10:23:51 changed by shingo

  • keywords changed from 差し戻し to テスト待ち.

04/14/09 10:26:41 changed by kiwa

  • description changed.

04/14/09 10:45:29 changed by shingo

  • keywords changed from テスト待ち to 差し戻し.

04/14/09 10:55:49 changed by shingo

  • keywords changed from 差し戻し to テスト待ち.

問題がないことを確認しましたので、再びテスト待ちとします

04/14/09 14:32:39 changed by kiwa

  • owner changed from nagasawa to toraneko.
  • 正常動作(コミュニティの表示・非表示)
  • 参加していないコミュニティの情報をフィードすることができないか
  • 携帯での動作
  • psqlでの動作
  • BIZモードでの動作

を確認したところ、大きな問題はなさそうでした。完了とします。

04/14/09 14:32:50 changed by kiwa

  • keywords deleted.
  • status changed from new to closed.
  • resolution set to fixed.

04/14/09 15:40:18 changed by kiwa

  • status changed from closed to reopened.
  • resolution deleted.

このバージョンで修正の必要があるバグが発見されたためreopenします。

04/14/09 15:40:26 changed by kiwa

  • keywords set to テスト待ち.

04/14/09 15:52:02 changed by kiwa

  • keywords changed from テスト待ち to 差し戻し.

"webapp/modules/ktai/templates/h_manage_commu.tpl"

 40 <center>
 41 ({if $pager.prev_page})<a href="({t_url m=ktai a=page_h_manage_com})&amp;page=({$page-1})&amp;({$tail})" accesskey="4">[i:128]前を表示</a>({/if})
 42 ({if $pager.prev_page && $pager.next_page})&nbsp;({/if})
 43 ({if $pager.next_page})<a href="({t_url m=ktai a=page_h_manage_com})&amp;page=({$page+1})&amp;({$tail})" accesskey="6">[i:130]次を表示</a>({/if})
 44 <br>

h_manage_comが残っています

04/14/09 15:57:23 changed by nagasawa

  • keywords changed from 差し戻し to 確認中.

r11296 で修正しました。

04/14/09 15:57:40 changed by kiwa

function cacheが有効の場合に設定が即反映されませんが、それは次のバージョンで対応しましょう。

#3816:function cacheが有効の場合、マイフレンド・コミュニティの最新情報表示設定が即反映されない

04/14/09 20:59:42 changed by shingo

  • keywords changed from 確認中 to テスト待ち.

04/15/09 00:37:00 changed by kiwa

  • keywords deleted.
  • status changed from reopened to closed.
  • resolution set to fixed.

確認しました。問題ありません。

04/16/09 16:57:58 changed by kiwa

  • summary changed from 参加しているコミュニティの書き込みをマイホームにフィードしない機能 to 参加コミュニティ最新書き込み表示設定機能.

summaryを変更